<?php

//===================================
// Plugin MULTIVIEWER pour SPIP 
// 
// fichier : balise/MVW_DEFINITION_simpleviewerpro.php version 1.0.1
//

function MVW_DEFINITION_simpleviewerpro()
{

  $simpleviewerpro["fixedLayout"] = array (
                                  "VALEUR" => "false"
                                  , "TYPE" => "XML"
                              , "remarque" => "mise en page adaptative"
                                );

  $simpleviewerpro["enablePlayButton"] = array (
                                  "VALEUR" => "true"
                                  , "TYPE" => "XML"
                              , "remarque" => "play bouton"
                                );

    //-- showFullscreenOption
    //Whether to show the 'Go Fullscreen' right-click menu option.
    // Valeur par dfaut : true
    $simpleviewerpro["showFullscreenOption"] = array (
                                  "VALEUR" => "true"
                                  , "TYPE" => "XML"
                              , "remarque" => "Whether to show the 'Go Fullscreen' right-click menu option."
                                );

//======== XML ========
    //-- maxImageWidth
    //Width of the widest image in the gallery. Used to determine the best layout for your gallery (pixels).
    // Valeur par dfaut : 480
    $simpleviewerpro["maxImageWidth"] = array (
                                  "VALEUR" => "1800"
                                  , "TYPE" => "XML"
                              , "remarque" => "Width of the widest image in the gallery. Used to determine the best layout for your gallery (pixels)."
                                );
    //-- maxImageHeight
    //Height of tallest image in the gallery. Used to determine the best layout for your gallery (pixels).
    // Valeur par dfaut : 480
    $simpleviewerpro["maxImageHeight"] = array (
                                  "VALEUR" => "1200"
                                  , "TYPE" => "XML"
                              , "remarque" => "Height of tallest image in the gallery. Used to determine the best layout for your gallery (pixels)."
                                );
    //-- textColor
    //Color of title and caption text (hexidecimal color value).
    // Valeur par dfaut : 0xFFFFFF
    $simpleviewerpro["textColor"] = array (
                                  "VALEUR" => "0xFFFFFF"
                                  , "TYPE" => "XML"
                              , "remarque" => "Color of title and caption text (hexidecimal color value)."
                                );
    //-- frameColor
    //Color of image frame, navigation buttons and thumbnail frame (hexidecimal color value).
    // Valeur par dfaut : 0xFFFFFF
    $simpleviewerpro["frameColor"] = array (
                                  "VALEUR" => "0xFFFFFF"
                                  , "TYPE" => "XML"
                              , "remarque" => "Color of image frame, navigation buttons and thumbnail frame (hexidecimal color value)."
                                );
    //-- frameWidth
    //Width of image frame (pixels).
    // Valeur par dfaut : 20
    $simpleviewerpro["frameWidth"] = array (
                                  "VALEUR" => "10"
                                  , "TYPE" => "XML"
                              , "remarque" => "Width of image frame (pixels)."
                                );
    //-- stagePadding
    //Width of padding around gallery edge (pixels). To have the image flush to the edge of the swf, set this to 0.
    // Valeur par dfaut : 40
    $simpleviewerpro["stagePadding"] = array (
                                  "VALEUR" => "20"
                                  , "TYPE" => "XML"
                              , "remarque" => "Width of padding around gallery edge (pixels). To have the image flush to the edge of the swf, set this to 0."
                                );
    //-- navPadding
    //Distance between image and thumbnails (pixels).
    // Valeur par dfaut : 40
    $simpleviewerpro["navPadding"] = array (
                                  "VALEUR" => "20"
                                  , "TYPE" => "XML"
                              , "remarque" => "Distance between image and thumbnails (pixels)."
                                );
    //-- thumbnailColumns
    //Number of thumbnail columns. To disable thumbnails completely set this value to 0
    // Valeur par dfaut : 3
    $simpleviewerpro["thumbnailColumns"] = array (
                                  "VALEUR" => "3"
                                  , "TYPE" => "XML"
                              , "remarque" => "Number of thumbnail columns. To disable thumbnails completely set this value to 0"
                                );
    //-- thumbnailRows
    //Number of thumbnail rows. To disable thumbnails completely set this value to 0.
    // Valeur par dfaut : 3
    $simpleviewerpro["thumbnailRows"] = array (
                                  "VALEUR" => "5"
                                  , "TYPE" => "XML"
                              , "remarque" => "Number of thumbnail rows. To disable thumbnails completely set this value to 0."
                                );
    //-- navPosition
    //Position of thumbnails relative to image. Can be 'top', 'bottom','left' or 'right'.
    // Valeur par dfaut : left
    $simpleviewerpro["navPosition"] = array (
                                  "VALEUR" => "right"
                                  , "TYPE" => "XML"
                              , "remarque" => "Position of thumbnails relative to image. Can be 'top', 'bottom','left' or 'right'."
                                );
    //-- vAlign
    //Vertical placment of the image and thumbnails within the SWF. Can be 'center', 'top' or 'bottom'. For large format galleries this is best set to 'center'. For small format galleries setting this to 'top' or 'bottom' can help get the image flush to the edge of the swf.
    // Valeur par dfaut : center
    $simpleviewerpro["vAlign"] = array (
                                  "VALEUR" => "center"
                                  , "TYPE" => "XML"
                              , "remarque" => "Vertical placment of the image and thumbnails within the SWF. Can be 'center', 'top' or 'bottom'. For large format galleries this is best set to 'center'. For small format galleries setting this to 'top' or 'bottom' can help get the image flush to the edge of the swf."
                                );
    //-- hAlign
    //Horizontal placement of the image and thumbnails within the SWF. Can be 'center', 'left' or 'right'. For large format galleries this is best set to 'center'. For small format galleries setting this to 'left' or 'right' can help get the image flush to the edge of the swf.
    // Valeur par dfaut : center
    $simpleviewerpro["hAlign"] = array (
                                  "VALEUR" => "center"
                                  , "TYPE" => "XML"
                              , "remarque" => "Horizontal placement of the image and thumbnails within the SWF. Can be 'center', 'left' or 'right'. For large format galleries this is best set to 'center'. For small format galleries setting this to 'left' or 'right' can help get the image flush to the edge of the swf."
                                );
    //-- title
    //Text to display as gallery Title
    // Valeur par dfaut : SimpleViewer Gallery
    $simpleviewerpro["title"] = array (
                                  "VALEUR" => "Gezus . HomeLinux . Com"
                                  , "TYPE" => "XML"
                              , "remarque" => "Text to display as gallery Title"
                                );
    //-- enableRightClickOpen
    //Whether to display a 'Open In new Window...' dialog when right-clicking on an image. Can be 'true' or 'false'
    // Valeur par dfaut : true
    $simpleviewerpro["enableRightClickOpen"] = array (
                                  "VALEUR" => "true"
                                  , "TYPE" => "XML"
                              , "remarque" => "Whether to display a 'Open In new Window...' dialog when right-clicking on an image. Can be 'true' or 'false'"
                                );
    //-- backgroundImagePath
    //Relative or absolute path to a JPG or SWF to load as the gallery background. Relative paths are relative to the HTML document that contains SimpleViewer. For example: 'images/bkgnd.jpg'.
    // Valeur par dfaut :
    $simpleviewerpro["backgroundImagePath"] = array (
                                  "VALEUR" => ""
                                  , "TYPE" => "XML"
                              , "remarque" => "Relative or absolute path to a JPG or SWF to load as the gallery background. Relative paths are relative to the HTML document that contains SimpleViewer. For example: 'images/bkgnd.jpg'."
                                );
    //-- imagePath
    //Relative or absolute path to images folder. This value is only required if you don't want to put your images in the 'images' folder. Relative paths are relative to the HTML document that contains SimpleViewer. Note that this path should include a trailing forward slash. For example: imagePath='my_image_folder/').
    // Valeur par dfaut :
    $simpleviewerpro["imagePath"] = array (
                                  "VALEUR" => "./"
                                  , "TYPE" => "XML"
                              , "remarque" => "Relative or absolute path to images folder. This value is only required if you don't want to put your images in the 'images' folder. Relative paths are relative to the HTML document that contains SimpleViewer. Note that this path should include a trailing forward slash. For example: imagePath='my_image_folder/')."
                                );
    //-- thumbPath
    //Relative or absolute path to thumbnail images folder. This value is only required if you don't want to put your thumbnail images in the 'thumbs' folder. Relative paths are relative to the HTML document that contains SimpleViewer. Note that this path should include a trailing forward slash. For example: thumbPath='my_thumb_folder/').
    // Valeur par dfaut :
    $simpleviewerpro["thumbPath"] = array (
                                  "VALEUR" => "./"
                                  , "TYPE" => "XML"
                              , "remarque" => "Relative or absolute path to thumbnail images folder. This value is only required if you don't want to put your thumbnail images in the 'thumbs' folder. Relative paths are relative to the HTML document that contains SimpleViewer. Note that this path should include a trailing forward slash. For example: thumbPath='my_thumb_folder/')."
                                );

//======== JS ========
    //-- xmlDataPath
    //Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf.
    // Valeur par dfaut : 'gallery.xml'
    //$simpleviewerpro["xmlDataPath"] = array (
    //                              "VALEUR" => "'gallery.xml'"
    //                              , "TYPE" => "JS"
    //                          , "remarque" => "Relative or absolute URL of the gallery XML file. Relative paths are relative to the HTML page that contains the swf."
    //                            );

    //-- firstImageIndex
    //Index of image to display when gallery loads. Images are numbered beginning at zero. You can use this option to display a specific number based on the URL. Check here for details.
    // Valeur par dfaut : 0

    $simpleviewerpro["firstImageIndex"] = array (
                              "VALEUR" => "0"
                             , "TYPE" => "JS"
                             , "remarque" => "Index of image to display when gallery loads. Images are numbered beginning at zero. You can use this option to display a specific number based on the URL. Check here for details."
                                );

    //-- langOpenImage
    //The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate SimpleViewer into a non-English language.
    // Valeur par dfaut : 'Ouvrir Image Pleine Taille'
    $simpleviewerpro["langOpenImage"] = array (
                                  "VALEUR" => "'Image pleine taille"
                                  , "TYPE" => "JS"
                              , "remarque" => "The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate SimpleViewer into a non-English language."
                                );
    //-- langAbout ancien js pass en xml pour test
    //The text displayed for the right-click 'About' menu option. Can be used to translate SimpleViewer into a non-English language.
    // Valeur par dfaut : 'About'
    $simpleviewerpro["langAbout"] = array (
                                  "VALEUR" => "'About'"
                                  , "TYPE" => "XML"
                              , "remarque" => "The text displayed for the right-click 'About' menu option. Can be used to translate SimpleViewer into a non-English language."
                                );
    //-- preloaderColor
    //Prloader color (hexidecimal color value).
    // Valeur par dfaut : 0xFFFFFF
    $simpleviewerpro["preloaderColor"] = array (
                                  "VALEUR" => "0xFFFFFF"
                                  , "TYPE" => "JS"
                              , "remarque" => "Prloader color (hexidecimal color value)."
                                );


    return $simpleviewerpro;
}

?>
